/*
 * Copyright 2004-2014 SmartBear Software
 *
 * Licensed under the EUPL, Version 1.1 or - as soon as they will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the Licence is
 * distributed on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the Licence for the specific language governing permissions and limitations
 * under the Licence.
*/

package com.eviware.soapui.impl.wsdl.teststeps.actions;

import com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequestStep;
import com.eviware.soapui.support.UISupport;
import com.eviware.soapui.support.action.support.AbstractSoapUIAction;

/**
 * Selects the specified WsdlTestRequestSteps operation in the navigator
 * 
 * @author Ole.Matzura
 */

public class SelectOperationAction extends AbstractSoapUIAction<WsdlTestRequestStep>
{
	public SelectOperationAction()
	{
		super( "Select Operation", "Selects this TestRequests' Operation in the navigator" );
	}

	public void perform( WsdlTestRequestStep target, Object param )
	{
		UISupport.select( target.getTestRequest().getOperation() );
	}
}
