/*
 * Copyright 2004-2014 SmartBear Software
 *
 * Licensed under the EUPL, Version 1.1 or - as soon as they will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the Licence is
 * distributed on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the Licence for the specific language governing permissions and limitations
 * under the Licence.
*/

package com.eviware.soapui.support.swing;

import java.util.Enumeration;

import javax.swing.JTree;
import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;

/**
 * 
 */
public class TreeUtils
{
	public static void expandAll( JTree tree, TreePath parent, boolean expand )
	{
		// Traverse children
		TreeNode node = ( TreeNode )parent.getLastPathComponent();
		if( node.getChildCount() >= 0 )
		{
			for( Enumeration e = node.children(); e.hasMoreElements(); )
			{
				TreeNode n = ( TreeNode )e.nextElement();
				TreePath path = parent.pathByAddingChild( n );
				expandAll( tree, path, expand );
			}
		}

		// Expansion or collapse must be done bottom-up
		if( expand )
		{
			tree.expandPath( parent );
		}
		else
		{
			tree.collapsePath( parent );
		}
	}
}
